%global modulename init-package-json

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-init-package-json
Version:        1.10.3
Release:        1%{?dist}
Summary:        A node module to get your node module started

License:        ISC
URL:            https://github.com/npm/init-package-json#readme
Source0:        https://registry.npmjs.org/init-package-json/-/init-package-json-1.10.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(glob) >= 7.1.1 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 4.0.0 with npmlib(npm-package-arg) < 5.0.0) or (npmlib(npm-package-arg) >= 5.0.0 with npmlib(npm-package-arg) < 6.0.0) or (npmlib(npm-package-arg) >= 6.0.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(promzard) >= 0.3.0 with npmlib(promzard) < 0.4.0))
BuildRequires:  ((npmlib(read) >= 1.0.1 with npmlib(read) < 1.1.0))
BuildRequires:  ((npmlib(read-package-json) >= 1.0.0 with npmlib(read-package-json) < 2.0.0) or (npmlib(read-package-json) >= 2.0.0 with npmlib(read-package-json) < 3.0.0))
BuildRequires:  ((npmlib(semver) >= 2.0.0 with npmlib(semver) < 3.0.0) or (npmlib(semver) >= 3.0.0 with npmlib(semver) < 4.0.0) or (npmlib(semver) >= 4.0.0 with npmlib(semver) < 5.0.0) or (npmlib(semver) >= 5.0.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(validate-npm-package-license) >= 3.0.1 with npmlib(validate-npm-package-license) < 4.0.0))
BuildRequires:  ((npmlib(validate-npm-package-name) >= 3.0.0 with npmlib(validate-npm-package-name) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A node module to get your node module started

%package 1.10.3
Summary:        A node module to get your node module started


%description 1.10.3
A node module to get your node module started

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr default-input.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr init-package-json.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.10.3
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 1.10.3-1
- Package automatically generated by npm2srpm
